Loading...
Searching...
No Matches
apr_bucket_structs Union Reference
APR Utility Functions » Bucket Brigades

`#include <apr_buckets.h>`

Collaboration diagram for apr_bucket_structs:
[legend]

## Data Fields

apr_bucket | b
apr_bucket_heap | heap
apr_bucket_pool | pool
apr_bucket_mmap | mmap
apr_bucket_file | file

## Detailed Description

A union of all bucket structures so we know what the max size is.

## Field Documentation

## b

apr_bucket apr_bucket_structs::b

Bucket

## file

apr_bucket_file apr_bucket_structs::file

File

## heap

apr_bucket_heap apr_bucket_structs::heap

Heap

## mmap

apr_bucket_mmap apr_bucket_structs::mmap

MMap

## pool

apr_bucket_pool apr_bucket_structs::pool

Pool

The documentation for this union was generated from the following file:

- apr_buckets.h